50.1 - 2026-04-19

Fixes:
  * Fix shell search opening Gnote window

Translations:
  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Serbian (sr)
    - Swedish (sv)
  * Updated manual translations:
    - Serbian (sr)

50.0 - 2026-03-20

Translations:
  * Updated translations:
    - Georgian (ka)
  * Updated manual translations:
    - Kazakh (kk)

50.rc - 2026-03-15

Fixes:
  * Fix possible vipe-out of notes on network error during sync
  * Synchronization will no longer delete files in the destination if it isn't valid sync destination

Translations:
  * Added translations:
    - Kazakh (kk)
  * Updated translations:
    - Catalan (ca)
    - Chinese (China) (zh_CN)
    - Lithuanian (lt)
    - Slovenian (sl)
    - Ukrainian (uk)

50.beta - 2026-03-09

New Features:
  * Add support for custom tab stops (#223)

Fixes:
  * Make repeated Ctrl+F refocus search entry instead of closing (#18)

Translations:
  * Updated translations:
    - Basque (eu)
    - Chinese (China) (zh_CN)
    - Czech (cs)
    - Hungarian (hu)
    - Lithuanian (lt)
    - Portuguese (pt)
    - Slovenian (sl)
    - Ukrainian (uk)
  * Updated manual translations:
    - Hungarian (hu)

50.alpha - 2026-02-21

New Features:
  * Disable next/prev in search based on position

Fixes:
  * Fix handling file URIs (#217)
  * Fix reference for the --new-window command-line option
  * Fix potential crash on reopening note
  * Update title and link colors on setting changes (#222)
  * Widen input field for WebDAV configuration
  * Check if already mounted when synchronizing
  * Improved reliability of WebDAV synchronization

Translations:
  * Added translations:
    - Kabyle (kab)
  * Updated translations:
    - Basque (eu)
    - Brazilian Portuguese (pt_BR)
    - Catalan (ca)
    - Chinese (China) (zh_CN)
    - Georgian (ka)
    - Nepali (ne)
    - Russian (ru)
    - Slovenian (sl)
    - Swedish (sv)
    - Turkish (tr)
    - Ukrainian (uk)
  * Updated manual translations:
    - Swedish (sv)

49.0 - 2025-09-28

Fixes:
  * Fix website link (#213)

Translations:
  * Updated translations:
    - Chinese (China) (zh_CN)
    - Lithuanian (lt)
    - Slovenian (sl)
    - Ukrainian (uk)

49.rc - 2025-09-21

New Features:
  * Move website to git repo

Translations:
  * Updated translations:
    - Chinese (China) (zh_CN)
    - Slovenian (sl)
    - Ukrainian (uk)

49.beta - 2025-09-14

New Features:
  * Delete backup files that are older than 30 days

Translations:
  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Chinese (China) (zh_CN)
    - Hungarian (hu)
    - Lithuanian (lt)
    - Russian (ru)
    - Slovenian (sl)
    - Swedish (sv)
    - Ukrainian (uk)

49.alpha - 2025-08-31

New Features:
  * New command-line option --new-window (!37)
  * Use appstream for appdata validation test
  * Add shortcuts for numeric tab indices (#211)

Fixes:
  * Select all text in entry when opening search
  * Set shortcuts window transient for the main window
  * Set dialogs as modal to prevent interaction with main window
  * Put each main window into its own group for better dialog experience
  * Fix margin in Preferences dialog
  * Fix undo/redo shortcuts in docs (#208)
  * Update displayed note change time on change (#204)

Translations:
  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Czech (cs)
    - Chinese (China) (zh_CN)
    - Georgian (ka)
    - Hungarian (hu)
    - Russian (ru)
    - Slovenian (sl)
    - Swedish (sv)
    - Turkish (tr)
    - Ukrainian (uk)
  * Updated manual translations:
    - Russian (ru)

48.0 - 2025-03-23

Fixes:
  * Properly update fixed width menu item state
  * Properly update underline menu item state

Translations:
  * Updated translations:
    - Lithuanian (lt)
  * Updated manual translations:
    - Lithuanian (lt)

48.beta - 2025-03-16

New Features:
  * Add actions bar to notes list

Fixes:
  * Fix underline action not working reliably
  * Fix fixed width action not working reliably (#203)
  * Better layout for dialogs (#206)

Translations:
  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Catalan (ca)
    - Czech (cs)
    - Chinese (China) (zh_CN)
    - Danish (da)
    - Georgian (ka)
    - Hungarian (hu)
    - Indonesian (id)
    - Lithuanian (lt)
    - Portuguese (pt)
    - Slovenian (sl)
    - Turkish (tr)
    - Ukrainian (uk)
  * Updated manual translations:
    - Catalan (ca)
    - Swedish (sv)
    - Ukrainian (uk)

48.alpha - 2025-02-02

New Features:
  * Allow to reorder tabs in main window (#192)
  * Add settings highlight-background-color and highlight-foreground-color (#178)
  * Make notebooks list also have header (#184)

Fixes:
  * Fix freeze on WebDAV automatic sync (#177)
  * Allow to clear settings when sync is configured (#193)
  * Fix hang when opening completely empty note (#190)
  * Fix impossible to enter tab character (#196)

Translations:
  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Chinese (China) (zh_CN)
    - Danish (da)
    - Russian (ru)
    - Serbian (sr)
    - Slovenian (sl)
    - Ukrainian (uk)
  * Updated manual translations:
    - Swedish (sv)

47.0 - 2024-09-21

Fixes:
  * Use screenshots from gitlab (#176)
  * Better colors for search highlight (#94)
  * Fix readonly plugin enable with note already open (#179)
  * Fix infinite loop when searching for available title in sync conflict (#181)
  * Wrap long message labels

Translations:
  * Added translations:
    - Georgian (ka)
  * Updated translations:
    - Czech (cs)
    - Chinese (China) (zh_CN)
    - German (de)
    - Hindi (hi)
    - Hungarian (hu)
    - Russian (ru)
    - Slovenian (sl)
    - Spanish (es)
    - Swedish (sv)
    - Turkish (tr)
    - Ukrainian (uk)
  * Updated manual translations:
    - Hungarian (hu)

46.0 - 2024-03-23

Translations:
  * Updated translations:
    - Danish (da)
  * Updated manual translations:
    - Lithuanian (lt)

46.rc - 2024-03-17

New Features:
  * Added UI for changing color scheme
  * Updated manual

Translations:
  * Updated translations:
    - Czech (cs)
    - German (de)
    - Lithuanian (lt)
    - Russian (ru)
    - Swedish (sv)
    - Turkish (tr)
    - Ukrainian (uk)
  * Updated manual translations:
    - Russian (ru)
    - Ukrainian (uk)

46.beta - 2024-03-11

New Features:
  * Removed note list context menu
  * Open all selected notes in current window on Enter
  * Open all selected notes in a signle new window on Ctrl+Enter
  * New desing for search controls in note tab
  * Updated manual
  * Added setting for selecting color scheme

Fixes:
  * Fix warning in console when synchronization dialog is opened (#161)

Translations:
  * Updated translations:
    - Czech (cs)
    - German (de)
    - Hungarian (hu)
    - Swedish (sv)
    - Turkish (tr)
    - Ukrainian (uk)
  * Updated manual translations:
    - Ukrainian (uk)

46.alpha - 2024-01-29

New Features:
  * Notes list uses new GtkColumnView
  * New redesigned view for notebooks
  * New dependency: libadwaita 1.0 or higher (#135)
  * Update appdata to newer format

Fixes:
  * Fix GTK requirement: 4.10 or higher
  * Fix error to console when opening Preferences (#164)
  * Fix undo
  * Fix search when empty
  * Fix search box not having focus on first activation
  * Handle year change for showing date (#170)
  * Use libadwaita accent colors for highlight (#33)

Translations:
  * Updated translations:
    - Chinese (China) (zh_CN)
    - Czech (cs)
    - Danish (da)
    - German (de)
    - Romanian (ro)
    - Swedish (sv)
    - Turkish (tr)
    - Ukrainian (uk)
  * Updated manual translations:
    - Russian (ru)

45.0 - 2023-09-25

Translations:
  * Updated manual translations:
    - Lithuanian (lt)
    - Ukrainian (uk)

45.rc - 2023-09-17

Fixes:
  * Update manual section for TOC plugin

Translations:
  * Updated translations:
    - Czech (cs)
  * Updated manual translations:
    - Polish (pl)
    - Russian (ru)

45.beta - 2023-09-10

Fixes:
  * Fix crash when showing synchronization conflict dialog
  * Fix gvfs synchronization setup when using Google Drive
  * Update manual screenshots

Translations:
  * Updated translations:
    - Chinese (China) (zh_CN)
    - Dutch (nl)
    - Portuguese (pt)
    - Turkish (tr)
  * Updated manual translations:
    - Polish (pl)
    - Ukrainian (uk)

45.alpha - 2023-07-30

New Features:
  * Updated dependency: Glibmm 2.74
  * Updated dependency: Gtkmm 4.0
  * Removed dependency: GSpell
  * Limit tab max width and add tab scroll (#153)
  * Use highlight color that is readable in both light and dark modes (#33)

Fixes:
  * Fix occasional crash when renaming link

Translations:
  * Updated translations:
    - Basque (eu)
    - Brazilian Portuguese (pt_BR)
    - French (fr)
    - German (de)
    - Hungarian (hu)
    - Indonesian (id)
    - Lithuanian (lt)
    - Polish (pl)
    - Portuguese (pt)
    - Russian (ru)
    - Serbian (sr)
    - Swedish (sv)
    - Turkish (tr)
    - Ukrainian (uk)
  * Updated manual translations:
    - Polish (pl)
    - Russian (ru)
    - Swedish (sv)
    - Ukrainian (uk)

44.0 - 2023-03-13

New Features:
  * Open notes in tab next to current and move to previous on close

Fixes:
  * Fix meson a deprecation warning
  * Fix notebook deletion (#141)
  * Determine timezone offset dynamically, so the server misconfig does not matter (#139)
  * Fix crash when opening link (#45)
  * Make Ctrl+W close current tab (#146)
  * Fix noteoftheday not deleting unmodified notes

Translations:
  * Added translations:
    - Interlingue (ie)
  * Updated translations:
    - Basque (eu)
    - Brazilian Portuguese (pt_BR)
    - Dutch (nl)
    - German (de)
    - Hungarian (hu)
    - Lithuanian (lt)
    - Polish (pl)
    - Portuguese (pt)
    - Russian (ru)
    - Serbian (sr)
    - Slovenian (sl)
    - Swedish (sv)
    - Turkish (tr)
    - Ukrainian (uk)
  * Updated manual translations:
    - German (de)

43.0 - 2022-10-05

Same as 43.rc.

43.rc - 2022-09-26

New Features:
  * Make delete button visually destructive in confirmation dialog (#120)

Fixes:
  * Fix png icons renamed as svg (#136)

Translations:
  * Updated translations:
    - Chinese (China) (zh_CN)
    - Danish (da)
    - Swedish (sv)

43.beta - 2022-09-11

New Features:
  * Minimum required Meson version now is 0.59
  * Set focus on current page when popover is closed
  * Integrate search to header bar (#122)

Fixes:
  * Fix Ctrl+comma not working as listed in shortcuts window

Translations:
  * Updated translations:
    - Catalan (ca)
    - Hungarian (hu)
    - Turkish (tr)

43.alpha - 2022-08-19

New Features:
  * Add shortcuts for switching tabs in main window (#124)
  * Add shortcut to open shortcuts window (#123)
  * Update README

Translations:
  * Updated translations:
    - Basque (eu)
    - Brazilian Portuguese (pt_BR)
    - Chinese (China) (zh_CN)
    - Danish (da)
    - German (de)
    - Indonesian (id)
    - Lithuanian (lt)
    - Polish (pl)
    - Russian (ru)
    - Serbian (sr)
    - Swedish (sv)
    - Ukrainian (uk)
  * Updated manual translations:
    - Indonesian (id)

42.0 - 2022-03-27

Translations:
  * Updated translations:
    - Dutch (nl)
  * Updated manual translations:
    - Czech (cs)

42.beta - 2022/03/13

Fixes:
  * Fix build using meson 0.61.0
  * Manual updates and fixes
  * Fix wrong selection after backgrounding
  * Show help for --background option (#118)

Translations:
  * Updated translations:
    - Basque (eu)
    - Brazilian Portuguese (pt_BR)
    - Chinese (zh_CN)
    - Czech (cs)
    - Hungarian (hu)
    - Japanese (ja)
    - Lithuanian (lt)
    - Romanian (ro)
    - Russian (ru)
    - Serbian (sr)
    - Spanish (es)
    - Swedish (sv)
    - Turkish (tr)
  * Updated manual translations:
    - Lithuanian (lt)
    - Polish (pl)
    - Russian (ru)
    - Ukrainian (uk)
    - Spanish (es)
    - Swedish (sv)

42.alpha - 2021/12/30

New Features:
  * Main UI now uses tabs to open notes

Fixes:
  * Fix duplicate condition in SyncManager (#111)
  * Rename lefover Add-in to plugin in manual (#113)
  * Fix date formatting when second is single digit (#115)
  * Fix excessive saves due to rogue marks
  * Fix search box focus when very first search in window is in note (#108)

Translations:
  * Updated translations:
    - Danish (da)
    - German (de)
    - Japanese (ja)
    - Occitan (oc)
    - Polish (pl)
    - Serbian (sr)
    - Swedish (sv)
    - Ukrainian (uk)
  * Added Catalan manual (ca)
  * Updated Danish manual (da)
  * Updated Polish manual (pl)
  * Updated Spanish manual (es)
  * Updated Swedish manual (sv)
  * Updated Ukrainian manual (uk)

41.0 - 2021/09/26

Fixes:
  * Fix size and add more screenshots to appdata
Translations:
  * Updated translations:
    - Chinese (China) (zh_CN)
    - Czech (cs)
    - Hungarian (hu)
    - Romanian (ro)
    - Serbian (sr)

41.beta - 2021/09/06

Fixes:
  * Fix a bunch of outdated URLs and instructions
  * Fix metadata license tag

Translations:
  * Updated translations:
    - Lithuanian (lt)
    - Spanish (es)
  * Added Indonesian manual
  * Updated Lithuanian manual

41.alpha - 2021/07/16

New Features:
  * Build system changed to meson
  * Plugins now stored in plugins folder instead of addins

Fixes:
  * Fix synchronization when files are larger than 64k (#50)
  * Stopped using lots of Glib and Gtk deprecations

Translations:
  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Catalan (ca)
    - Chinese (China) (zh_CN)
    - Danish (da)
    - Indonesian (id)
    - Polish (pl)
    - Romanian (ro)
    - Ukrainian (uk)
    - Serbian (sr)
    - Spanish (es)
    - Swedish (sv)
  * Added Dutch translation (nl)
  * Updated Lithuanian manual (lt)
  * Updated Polish manual (pl)
  * Updated Ukrainian manual (uk)
  * Updated Swedish manual (sv)

40.0 - 2021/03/26

Translations:
  * Updated translations:
    - Basque (eu)
    - Catalan (ca)
    - Czech (cs)
    - Indonesian (id)
    - Italian (it)
  * Updated Lithuanian manual (lt)
  * Updated Polish manual (pl)
  * Updated Swedish manual (sv)

40.rc - 2021/03/13

New Features:
  * Use reverse-domain convention for naming desktop and search provider files
  * Refactor D-Bus support to reuse the connection established by GtkApplication
  * Update AppData file format

Translations:
  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Indonesian (id)
    - Lithuanian (lt)
    - Polish (pl)
    - Serbian (sr)
    - Swedish (sv)
    - Turkish (tr)
    - Ukrainian (uk)

40.beta - 2021/02/21

New Features:
  * Add accelerator Ctrl+D for insert timestamp
  * WebDAV sync no longer uses wdfs

Fixes:
  * Make insert timestamp plugin work again
  * Fix crash when synchronizing immediately after configuring

Translations:
  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Catalan (ca)
    - Lithuanian (lt)
    - Polish (pl)
    - Romanian (ro)
    - Serbian (sr)
    - Spanish (es)
    - Swedish (sv)
    - Turkish (tr)
    - Ukrainian (uk)

40.alpha - 2021/01/10

New Features:
  * Change shortcut for find first/next to Ctrl-G/Ctrl-Shitf-G
  * Change icons and remove labels from find next/previous

Fixes:
  * --search will raise existing search window or open a new one (issue #21)
  * Fix opening of context menu (issue #16)
  * Fix newly enabled addin not working for opened notes (PR #11)
  * Fix find previous match
  * Fix changing sorting not always works
  * Fix GTK criticals upon exiting the application (issue #43)
  * Fix few memory leaks

Translations:
  * Updated Czech manual (cs)
  * Updated Swedish manual (sv)
  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Catalan (ca)
    - Czech (cs)
    - German (de)
    - Indonesian (id)
    - Japanese (ja)
    - Polish (pl)
    - Swedish (sv)
    - Turkish (tr)
    - Ukrainian (uk)

3.38.0 - 2020/09/19

Fixes:
  * Fix occasional crash when closing
  * Note rename optimisation
  * Fix autolinking when renaming note with no links to it
  * Fix logic inversion for unfiled notes
  * Fix invalid Mallard markup in manual
  * Allow selecting local sync folder directly in drop down (fixes issue 41)

Translations:
  * Added Ukrainian manual (uk)
  * Updated Slovenian manual (sl)
  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Catalan (ca)
    - Galician (gl)
    - Hungarian (hu)
    - Indonesian (id)
    - Italian (it)
    - Japanese (ja)
    - Korean (ko)
    - Lithuanian (lt)
    - Polish (pl)
    - Spanish (es)
    - Tamil (ta)
    - Turkish (tr)
    - Ukrainian (uk)

3.37.0 - 2020/04/18

New Features:
  * Use $XDG_CURRENT_DESKTOP for client side decoration
  * Minor synchronization performance improvements

Fixes:
  * Fix crash in case of exception when creating manifest during synchronization
  * Fix synchronization lock file expiration
  * Make tests cleanup created temp files

Translations:
  * Added translations:
    - Finnish (fi)
  * Updated translations:
    - Chinese (zh_CN)
    - Indonesian (id)
    - Japanese (ja)
    - Spanish (es)
    - Polish (pl)
    - Ukrainian (uk)

3.35.0 - 2020/02/23

New Features:
  * Added manual for Online Folder synchronization
  * Lowered gspell requirement to 1.6
  * Required C++ standard is now C++14
  * Added 64-bit version D-Bus functions GetNoteCreateDateUnix and GeNoteChangeDateUnix

Fixes:
  * Fix possible crash when removing tags

Translations:
  * Updated translations:
    - Basque (eu)
    - Brazilian Portuguese (pt_BR)
    - French (fr)
    - Hungarian (hu)
    - Indonesian (id)
    - Japanese (ja)
    - Polish (pl)
    - Spanish (es)
    - Swedish (sv)
    - Turkish (tr)
  * Updated Lithuanian manual (lt)
  * Updated Spanish manual (es)

3.34.0 - 2019/09/21

New Features:
  * Add OARS and update appdata
  * Use GSpell instead of GtkSpell for spellchecking

Translations:
  * Updated translations:
    - Basque (eu)
    - Brazilian Portuguese (pt_BR)
    - Hungarian (hu)
    - Indonesian (id)
    - Italian (it)
    - Lithuanian (lt)
    - Polish (pl)
    - Serbian (sr)
    - Spanish (es)
    - Swedish (sv)
    - Turkish (tr)
  * Updated Czech manual (cs)

3.33.0 - 2019/05/12

New Features:
  * Manual updates
  * Add Online Folder synchronization plugin

Translations:
  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Catalan (ca)
    - German (de)
    - Hungarian (hu)
    - Indonesian (id)
    - Lithuanian (lt)
    - Polish (pl)
  * Updated Lithuanian manual (lt)
  * Updated Polish manual (pl)
  * Updated Swedish manual (sv)

3.32.0 - 2019/03/17

Translations:
  * Updated translations:
    - Catalan (ca)
    - Czech (cs)
    - Hungarian (hu)
    - Italian (it)
    - Serbian (sr)
  * Updated Swedish manual (sv)

3.31.0 - 2018/11/24

New Features:
  * Added new automated tests
  * Removed App menu, refactored actions menu

Translations:
  * Updated translations:
    - Polish (pl)
    - Indonesian (id)

3.30.0 - 2019/09/16

New Features:
  * Added new automated tests
  * Removed a bunch of unused localized manual images

Translations:
  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Catalan (ca)
    - Czech (cs)
    - German (de)
    - Hungarian (hu)
    - Indonesian (id)
    - Latvian (lv)
    - Spanish (es)
    - Swedish (se)
    - Turkish (tr)
  * Updated Polish manual (pl)
  * Updated Spanish manual (es)

3.28.0 - 2018/03/18

New Features:
  * Client side decoration by default supported on Ubuntu and Pop! sessions
  * Install appdata metadata to new non-deprecated location (#792795)

Fixes:
  * Manual validation fixes
  * Fix gettext-domain in GSettings schema
  * Do not show empty actions menu (#789750)
  * Fix some shortcuts, that are added by context menu (#792859)

Translations:
  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Czech (cs)
    - Danish (da)
    - German (de)
    - Hungarian (hu)
    - Indonesian (id)
    - Lithuanian (lt)
    - Polish (pl)
    - Serbian (sr, sr@latin)
    - Spanish (es)
    - Swedish (sv)
  * Updated Slovenian manual (sl)
  * Updated Spanish manual (es)

3.26.0 - 2017/09/18

Translations:
  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Hungarian (hu)
    - Italian (it)
    - Lithuanian (lt)
  * Updated Czech manual (cs)
  * Updated Lithuanian manual (lt)

3.25.0 - 2017/08/30

New Features:
  * Removed Shadow from SearchView (#783610)
  * Formatting and actions menus redesigned

Fixes:
  * Fix possible crash when deleting a notebook (#701846)

Translations:
  * Updated translations:
    - Czech (cs)
    - Esperanto (eo)
    - German (de)
    - Indonesian (id)
    - Polish (pl)
    - Serbian (sr, sr@latin)
    - Spanish (es)
  * Updated Swedish manual (sv)

3.24.0 - "If at first you do succeed, try to hide your astonishment" - 2017/03/27

Fixes:
  * Left align items in popovers and increase vertical spacing (#778823)
  * Fix --background option
  * Make D-Bus APIs for opening notes respect new window setting (#778871)
  * Change default for window to not autosize (#778822)
  * Fix no icon for Gnote windows in some WMs (#762001)
  * Use icon for Create Note button (#704116)
  * Fix crash in search

Translations:
  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Czech (cs)
    - Danish (da)
    - German (de)
    - Hungarian (hu)
    - Indonesian (id)
    - Italian (it)
    - Lithuanian (lt)
    - Polish (pl)
    - Swedish (sv)
    - Turkish (tr)

3.23.0 - 2017/02/26

New Features:
  * New optional dependency: UnitTest++ (required only for running gnote tests)
  * Removed dependency: boost (all of it)
  * Gnote now internally uses Unicode strings for all data

Fixes:
  * Fix indentation sometimes getting is lost after restart (#773630)
  * Use %1 style placeholders instead of %1% in translatable strings (#774262)
  * Make app menu item ordering consistent with GNOME (#772009)
  * Use open-menu-symbolic icon for menu (#775320)

Translations:
  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Czech (cs)
    - Danish (da)
    - French (fr)
    - Indonesian (id)
    - Italian (it)
    - Polish (pl)
    - Serbian (sr, sr@latin)
    - Spanish (es)
    - Swedish (sv)
  * Updated Swedish manual (sv)

3.22.0 - "Good artists copy, great artists steal. -- Pablo Picasso" - 2016/09/25

Translations:
  * Updated translations:
    - German (de)
    - Serbian (sr, sr@latin)
    - Lithuanian (lt)

3.21.1 - 2016/09/18

New Features:
  * Shell search provider will search only in note titles (#765894)
  * Change accelerator for Back button to <Ctrl>,

Fixes:
  * Fix build against Glibmm 2.21 (#770541)
  * Fix memory leak in TrieTree (#770056)

Translations:
  * Updated translations:
    - Catalan (ca)
    - Czech (cs)
    - Hungarian (hu)
    - Polish (pl)
    - Serbian (sr, sr@latin)
    - Spanish (es)
    - Swedish (sv)
  * Updated Hungarian manual (hu)

3.21.0 -  2016/08/20

New Features:
  * GTK+ 3.20 is required
  * Undo will now undo last user action as single unit (#747202)
  * Added shortcuts window
  * Added <Ctrl>Left accelerator to go from note to main window

Fixes:
  * Enter key will find next match when searching in note (#700624)
  * Fixed formatting buttons when selection is mixed formatting (#702248)
  * Fixed crash on first run when data migration is required (#765791)
  * Fixed disabling application plugins
  * Fixed Windows size shrinking when switching from/to note (#764464)
  * Fixed tab key activating search, while it shouldn't (#767834)
  * Escape will close search when search entry has focus
  * Make --search always show main window in search mode (#769906)

Translations:
  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Czech (cs)
    - German (de)
    - Hungarian (hu)
    - Indonesian (id)
    - Lithuanian (lt)
    - Polish (pl)
    - Portuguese (pt)
    - Spanish (es)
    - Swedish (sv)

3.20.0 - Easter is comming - 2016/03/26

New Features:
  * Text menu now uses popover

Translations:
  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Czech (cs)
    - German (de)
    - Hungarian (hu)
    - Italian (it)
    - Lithuanian (lt)
    - Polish (pl)
    - Serbian (sr, sr@latin)
    - Spanish (es)
    - Swedish (sv)
    - Turkish (tr)
  * Updated Greek manual (el)

3.19.0 - 2016/01/31

New Features:
  * GTK+ 3.16 is required
  * Gtkmm 3.18 is required
  * C++11 is required
  * configure option --with-x11-support was removed
  * Use popover for gear menu

Translations:
  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Czech (cs)
    - German (de)
    - Greek (el)
    - Italian (it)
    - Lithuanian (lt)
    - Polish (pl)
    - Serbian (sr, sr@latin)
    - Spanish (es)

3.18.0 - "Life sucks, but death doesn't put out at all..." - 2015/09/27

New Features:
  * Allow closing window via Ctrl+Q (#755399)

Translations:
  * Updated translations:
    - Indonesian (id)
    - Lithuanian (lt)
    - Portuguese (pt)

3.17.1 - 2015/09/13

New Features:
  * Handle ircs URLs (#754940)

Translations:
  * Updated translations:
    - Polish (pl)
  * Updated German manual (de)

3.17.0 - 2015/07/12

New Features:
  * Allow to configure, when client side decorations are used (#748121)
  * Drop dependency on gnome-common
  * Ident selected lines on tab (#632457)

Fixes:
  * Do not lose identation on first item when double identing (#749658)
  * Fix crash when DESKTOP_SESSION environment variable is not set (#752024)
  * Fix crash when quiting (#751427)

Translations:
  * New translations:
    - Occitan (oc)
  * Updated translations:
    - Catalan (ca)
    - Czech (cs)
    - Hungarian (hu)
    - Polish (pl)
    - Spanish (es)
    - Swedish (sv)
  * Updated Spanish manual (es)
  * Ipdated German manual (de)

3.16.0 - "If you continually give you will continually have" - 2015/03/29

New Features:
  * Updated manual

Translations:
  * New translations:
    - Bosnian (bs)
    - Slovak (sk)
  * Updated translations:
    - Swedish (sv)
  * Updated manuals:
    - Czech (cs)
    - Lithuanian (lt)
    - Spanish (es)
    - Swedish (sv)

3.15.1 - 2015/03/07

New Features:
  * Manual updates

Fixes:
  * Updated boost.m4 (#745160)

Translations:
  * Updated translations:
    - Brazilian Portuguese (pt_BR)

3.15.0 - 2015/02/16

New Features:
  * Remove status icon
  * Remove builtin key binding
  * Move notebook selection from toolbar to action menu

Fixes:
  * Manual fixes (#700422)
  * TOC copyright notice fixes (#737918)
  * Fix some typos
  * Fix crash when disabling note actions (#742657)
  * Fix toolbar in note view

Translations:
  * Updated translations:
    - Basque (eu)
    - Brazilian Portuguese (pt_BR)
    - Czech (cs)
    - Hungarian (hu)
    - Kannada (kn)
    - Lithuanian (lt)
    - Polish (pl)
    - Serbian (sr, sr@latin)
    - Turkish (tr)
  * Updated Czech manual (cs)
  * Updated Spanish manual (es)

3.14.0 - "System is only as robust as its least reliable component" - 2014/09/26

New Features:
  * Increase the default size of note window
  * Add option to autosize note window (#709699)

Fixes:
  * Optimize auto-linking (#729832)
  * Fix link action not always sensitive when text is selected
  * Timeout when started as shell search provider (#736472)
  * Fix bullet not removed on delete key
  * Fix removing bullet on enter at the start of bulleted line (#702018)

Translations:
  * Added translations:
    - Basque (eu)
  * Updated translations:
    - Assamese (as)
    - Bengali (India) (bn_IN)
    - Brazilian Portuguese (pt_BR)
    - Czech (cs)
    - German (de)
    - Gujarati (gu)
    - Hindi (hi)
    - Indonesian (id)
    - Kannada (kn)
    - Lithuanian (lt)
    - Marathi (mr)
    - Polish (pl)
    - Spanish (es)
    - Tamil (ta)
    - Telugu (te)
  * Added Hungarian manual (hu)
  * Updated Lithuanian manual

3.13.0 - 2014/05/01

New Features:
  * Header bar rework
  * Add configure option for C++11 (--with-cxx11-support)

Fixes:
  * Fix build using C++11 incompatible compiler (#727077)

Translations:
  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Czech (cs)
    - Lithuanian (lt)
    - Spanish (es)
    - Indonesian (id)
    - Slovenian (sl)
  * Updated Greek manual (el)

3.12.0 - "Anything is possible on paper" - 2014/03/25

New Features:
  * NoteDirectoryWatcher plugin interval is now configurable
  * Import plugins are enabled by default and auto-disabled after import (#723635)
  * Plugins are now checked for compatibility with Gnote

Translations:
  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Czech (cs)
    - German (de)
    - Hungarian (hu)
    - Kannada (kn)
    - Lithuanian (lt)
    - Polish (pl)
    - Serbian (sr)
    - Spanish (es)
  * Updated Czech manual (cs)
  * Updated German manual (de)
  * Updated Spanish manual (es)
  * Updated Lithuanian manual (lt)

3.11.1 - 2014/01/19

New Features:
  * App menu: standardize help/about/quit (#720130)
  * Help: add logo next to title (#720131)
  * Do not close main window on escape
  * Make setting enable-close-note-on-escape work (#720748)
  * Use Gtk::HeaderBar in main window

Fixes:
  * Hold application in background mode, fixes crash in some environments (#719666)
  * Never open new window with --background (#720491)
  * Fix command line processing on primary instance
  * Pluralize "notes" keyword in desktop file
  * Fix tooltip on unpin button (#721357)
  * Update notes list when back from note (#721358)
  * Fix empty items in application menu in some environments
  * Update documentation licence (new FSF address) (#721563)
  * Do not close main window when middle-click on link (#721852)
  * Update README (#721855)
  * Update AppData screenshot

Translations:
  * Updated translations:
    - Assamese (as)
    - Brazilian (pt_BR)
    - Czech (cs)
    - German (de)
    - Greek (el)
    - Lithuanian (lt)
    - Polish (pl)
    - Spanish (es)
    - Tamil (ta)
  * Updated Czech manual (cs)

3.11.0 - 2013/11/03

New Features:
  * Updated boost.m4
  * Rename add-ins -> plugins (#700422)
  * Change title Notes -> Gnote (#701854)
  * Add TODO plug-in
  * Remember spell-check language per note (#586350)
  * Add ability to disable spell check per note (#703258)
  * Add options to disable url and note autolinking (#633855)
  * Add links tab to preferences dialog
  * Add plug-in to export to Getting Things GNOME (#697934)

Fixes:
  * Add missing space in user visible string (#709494)
  * Fix spell-check breaking note links (#703664)
  * Fix note rename dialogo freeze
  * Do not remove link tag when adding another (#702160, #702239)
  * Fix internal links merging with other links
  * Fix crash when disabling note plug-in
  * Fix build without C++11 (#710949)
  * Search for linking notes using full link tag (#701492)

Translations:
  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Czech (cs)
    - Hungarian (hu)
    - Latvian (lv)
    - Lithuanian (lt)
    - Polish (pl)
    - Serbian (sr)
    - Slovenian (sl)
  * Updated Czech manual (cs)
  * Updated Spanish manual (es)

3.10.0 "To teach is to learn twice" - 2013/09/28

New Features:
  * Updated manual
  * Notes list is now search-as-you-type
  * Added AppData
  * Changed design of create notebook dialog (#701845)

Fixes:
  * Fix note disabling
  * Remove menu item when statistics add-in is disabled
  * Make dttest locale-independent (#707546)

Translations:
  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Czech (cs)
    - Hungarian (hu)
    - Japanese (ja)
    - Lithuanian (lt)
    - Polish (pl)
    - Slovenian (sl)
    - Spanish (es)
  * Updated Czech manual (cs)
  * Updated Lithuanian manual (lt)

3.9.3 - 2013/08/25

New Features:
  * boost::lexical_cast dependency not used if C++11 is supported
  * BOOST_FOREACH dependency not used if C++11 is supported
  * Special Notes notebook add-in
  * ReadOnly add-in (#588807)

Fixes:
  * Don't open new note window, if it's already open (#703151)
  * Add icon for Active Notes notebook (#704114)
  * Update notes list result when getting back (#702149)
  * Avoid lock-up, which sometimes happens when clicking out from title (#705879)

Translations:
  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Czech (cs)
    - Lithuanian (lt)
    - Polish (pl)
    - Slovenian (sl)
  * Updated Chinese simplified manual (zh_CN)
  * Updated German manual (de)

3.9.2 - 2013/07/21

New Features:
  * Remove underline from note title (#701855)
  * Always open new windows from tray (#700458)
  * Add option to always open notes in new window (#700458)
  * Make preferences dialog more compact
  * Do not save window position, leave it to window manager
  * Make X11 conditional dependency to allow run on Wayland (--with-x11-support to enable)
  * Save main window sorting, always show it (#700609, #700436)
  * Respect gnome clock-format setting (#700432)
  * Rename Notes dialog column "Last Changed" to "Modified" (#704111)
  * Make "Modified" column format more compact (#704113)
  * Add menu item and accelerator for renaming notebook (#700435)
  * Shorten context menu item labels
  * New dependency BOOST_FOREACH

Fixes:
  * "Table of Content" renamed to "Table of Contents" (#701942)
  * Note title no longer displayed in brackets (#701853)
  * Some cleanup in create notebook dialog (#701845)
  * Do not show faded icons in main window toolbar (#701851)
  * Bump required version of Glibmm to 2.32 (actually required version)
  * Fix occasional crash when using tray icon
  * Fix crash when closing after multiple link activations
  * Do not overwrite entire note when replacing title (#701616)
  * Fix critical assertion errors when searching (#700626)
  * Set focus to notes list when showing it (#700611)
  * Fix notebook selection on rename
  * Make selection saving work reliably (#700553)
  * Do not show empty Active notes notebook
  * Disable rename notebook context menu for special notebooks (#704197)

Translations:
  * Updated translations:
    - Czech (cs)
    - German (de)
    - Greek (el)
    - Lithuanian (lt)
    - Spanish (es)
  * Updated Spanish manual (es)

3.9.1 - 2013/06/08

New Features:
  * Add check for desktop file validity
  * Add shell search provider (#694014)
  * Redesign main window toolbar (#699119, #701614, #701450)
  * Add accelerator for New Note in main window (#700434)
  * Add F10 accelerator for gears button
  * Add Ctrl+W accel to close window (#700434)
  * Embed note toolbar into main window (#699119)
  * Move add-in menu items to main window gears menu (#700655)
  * Make TOC header items act on entire line (#700612)
  * Rename Pinned Notes toolbar to Important Notes (#700493)
  * Add tooltip for pin button (#700437)
  * Shorten special notebook names (#701570)
  * Remove unsensitive Font Size menu item (#701618)

Fixes:
  * Fix keywords translations
  * Fix open note in new window context item sensibility
  * Text fixes in preferences dialog
  * Fix English usage and grammar throughout help pages
  * Make new notes numbered from 1 (#700448)
  * Sort notes and notebooks case-insensitively and using Unicode (#700438)
  * Fix splitter in search window (#700431)
  * Fix All Notes notebook selection in search
  * Fix TOC accelerators when IBus is used (#701555)

Translations:
  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Czech (cs)
    - Czech manual (cs)
    - Lithuanian (lt)
    - Slovenian (sl)
    - Spanish manual (es)

3.9.0 - 2013/04/29

New Features:
  * Added statistics add-in
  * Load only enabled addins on startup
  * Errors, printed to console, are now translatable
  * Add Table Of Content add-in (#698059)

Fixes:
  * Fix desktop file keyword translations (#696664)
  * Fix opening help pages using URI (#698327)
  * Fix show help on F1 in main window search mode
  * Let move window my dragging toolbar (#699115)

Translations:
  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Czech (cs)
    - Hungarian (hu)
    - Lithuanian (lt)
    - Oriya (or)
    - Serbian (sr)
    - Slovenian (sl)
    - Spanish (es)
    - Telugu (te)
  * Added translations:
    - Traditional Chinese, Hong Kong (zh_HK)
    - Traditional Chinese, Taiwan (zh_TW)

3.8.0 "We can predict everything, except the future" - 2013/03/24

New Features:
  * Updated manual
  * Increase default width of main window

Fixes:
  * Fix crash on first run
  * Make labels for delete actions translatable

Translations:
  * Updated translations:
    - Assamese (as)
    - Brazilian Portuguese (pt_BR)
    - Czech (cs)
    - Gujarati (gu)
    - Hindi (hi)
    - Hungarian (hu)
    - Kannada (kn)
    - Lithuanian (lt)
    - Marathi (mr)
    - Polish (pl)
    - Serbian (sr, sr@latin)
    - Slovenian (sl)
    - Spanish (es)
    - Tamil (ta)
  * Updated Czech manual (cs)
  * Updated Lithuanian manual (lt)

3.7.3 - 2013/03/03

New Features:
  * Hide titlebar when maximized
  * Require Gtkmm 3.6
  * Use Gtk::SearchEntry for search entries
  * Return spell check support (requires GtkSpell3)
  * Redesing main window toolbar
  * Ability for add-ins to add actions to main window search and note modes

Fixes:
  * Remove use of deprecated gdk_threads_* functions
  * Fix ocasional crashes and hungs when launching syncronization
  * Save main window pos and size on quit
  * Fix opening notes via command line args
  * Gnote silently discard/truncate data when disk is full (#627317)
  * Fix export to HTML with XML special chars in title (#694935)

Translations:
  * Updated translations:
    - Assamese (as)
    - Brazilian Portuguese (pt_BR)
    - Czech (cs)
    - French (fr)
    - Japanese (ja)
    - Polish (pl)
    - Punjabi (pa)
    - Serbian (sr)
    - Slovenian (sl)
    - Spanish (es)
  * Updated Czech manual (cs)
  * Updated Spanish manual (es)

3.7.2 - 2013/01/06

New Features:
  * Add automatic synchronization
  * Updated manual

Fixes:
  * Fix remembered selection with replacing selected text
  * Fix status icon for Xfce 4 (#666775)

Translations:
  * Updated translations:
    - Arabic (ar)
    - Assamese (as)
    - Catalan (ca)
    - Czech (cs)
    - Galician (gl)
    - Hungarian (hu)
    - Kannada (kn)
    - Lithuanian (lt)
    - Polish (pl)
    - Russian (ru)
    - Slovenian (sl)
    - Spanish (es)
  * Updated Czech manual (cs)
  * Updated Spanish manual (es)

3.7.1 - 2012/12/08

New Features:
 * Add new special notebook PinnedNotesNotebook
 * Add new special notebook Active Notes
 * Replace switcher by search button in main window
 * Add New Note button to main window toolbar (#657270)
 * Add keywords to desktop file
 * Change window title according to what's displayed

Fixes:
 * Fix segfaults when using tray menu (#688558)
 * Fix Search All Notes tray menu item

Translations:
  * Updated translations:
    - Assamese (as)
    - Czech (cs)
    - Galician (gl)
    - Lithuanian (lt)
    - Polish (pl)
    - Serbian (sr)
    - Slovenian (sl)
    - Spanish (es)

3.7.0 - 2012/11/03

New Features:
  * Show notes inside main window, do not use separate windows
  * Make several main windows possible
  * Add application menu (#675251)
  * Save main window maximization state

Fixes:
  * Fix build on GCC 4.2 (#684931)
  * Fix runtime warning with markup in fixed width addin

Translations:
  * Updated translations:
    - Czech (cs)
    - Galician (gl)
    - German (de)
    - Indonesian (id)
    - Latvian (lv)
    - Lithuanian (lt)
    - Marathi (mr)
    - Slovenian (sl)
    - Spanish (es)
  * Updated Spanish manual (es)

3.6.0 "Good cooking takes time" - 2012/09/26

New Features:
 * WebDAV synchronization checks now time-out
 * Port to new documentation infrastructure

Fixes:
 * Fix error in WebDAV manual
 * Fix exit in status icon mode on close window

Translations:
  * Updated translations:
    - Assamese (as)
    - British English (en_GB)
    - Czech (cs)
    - Galician (gl)
    - German (de)
    - Hindi (hi)
    - Hungarian (hu)
    - Indonesian (id)
    - Malayalam (ml)
    - Marathi (mr)
    - Polish (pl)
    - Slovenian (sl)
    - Spanish (es)
  * Updated Lithuanian manual (lt)

3.5.0 - 2012/08/25

New Features:
 * Added NoteDirectoryWatcher add-in (#583812)
 * Droped dependency on libpcrecpp
 * Migrated to libsecret, droped dependency on libgnome-keyring
 * Updated documentation
 * Switch to GNOME versioning scheme

Fixes:
 * Add check for X11 (#679496)
 * Fixed FTBFS with Debian GNU/kFreeBSD (#681588)
 * Make possible to disable synchronization addins
 * Fixed memory leak in search window

Translations:
  * Updated translations:
    - Arabic (ar)
    - French (fr)
    - German (de)
    - Gujarati (gu)
    - Hungarian (hu)
    - Japanese (ja)
    - Lithuanian (lt)
    - Lithuanian manaul (lt)
    - Punjabi (pa)
    - Slovenian (sl)
    - Spanish (es)
    - Spanish manual (es)

0.9.1 - 2012/07/02

New Features:
  * Gtkmm 3.4 is required
  * Derived Search window from Gtk::ApplicationWindow
  * Replace shave with automake's silent rules (#673710)
  * Added 256x256 app icon (#674267)
  * Added log to file capability in debug mode
  * Added gnome-keyring dependency
  * Added WebDAV synchronization
  * Droped support for panel applet
  * Migrated to Gtk::Application

Fixes:
  * Fix quit application for glib >= 2.32 (#670104)
  * Removed use of deprecated GtkStyle (#667395)
  * Fixed missing include for Glibmm 2.32 (#671787)
  * Fixed multiple compiler warnings
  * Fix bullet indentation when printing (#674904)

Translations:
  * Updated translations:
    - Arabic (ar)
    - Brazilian Portuguese (pt_BR)
    - Czech (cs)
    - French (fr)
    - Galician (gl)
    - Gujarati (gu)
    - Hungarian (hu)
    - Indonesian (id)
    - Latvian (lv)
    - Lithuanian (lt)
    - Punjabi (pa)
    - Simplified Chinese (zh_CN)
    - Slovenian (sl)
    - Spanish (es)
    - Swedish (sv)
    - Ukranian (uk)

0.9.0 - 2012/03/10

New Features:
  * Added core synchronization support
  * Added addin to synchronize with local folder.

Fixes:
  * Fix missing header for Glib::signal_idle (#667349)
  * Call startup defined in GApplication
  * Remove mnemonic references in documentation (#670916)
  * Fix selection deletion and remembering it
  * Fix quit application for glib >= 2.32

Translations:
  * Updated translations:
    - Czech (cs)
    - Danish (da)
    - French (fr)
    - French manual (fr)
    - Galician (gl)
    - German (de)
    - German manual (de)
    - Japanese (ja)
    - Lithuanian (lt)
    - Lithuanian manual (lt)
    - Norwegian Bokmål (nb)
    - Slovenian (sl)
    - Spanish (es)
    - Spanish manual (es)
  * Added Slovenian manual (sl)

0.8.2 "Lil' early XMas gift" - 2011/12/19

New Features:
  * Added template bar to template notes
  * Integrated with GtkApplication (#640430)
  * Gnote remains present while at least one window is present
  * Panel applet disabled by default
  * Added option for status icon to preferences (#663817)
  * Added background mode
  * Return ordered note list when using D-BUS search (#662246)

Fixes:
  * Fixed keys in GSettings schema descriptions
  * Manual fixes
  * Updated man page to current behaviour
  * Do not open Search Window in status icon mode (#653447)
  * Fixed special XML character encoding
  * Make sticky note importer support special chars
  * Show in all desktop environements (#664609)
  * src/notetag.hpp must include <map> (#655340)
  * Add missing includes (#665344)
  * Fixed a warning about a condition never reached
  * Fixed note deletion with international characters

Translations:
  * Updated translations:
    - British English (en_GB)
    - Catalan (ca)
    - Czech (cs)
    - Esperanto (eo)
    - French (fr)
    - German (de)
    - Hungarian (hu)
    - Lithuanian (lt)
    - Polish (pl)
    - Punjabi (pa)
    - Russian (ru)
    - Slovenian (sl)
    - Spanish (es)
    - Swedish (sv)

0.8.1 "Dennis Ritchie" - 2011/10/23

New features:
  * Removed case-sensitive search from Search All Notes window
  * Focus chain for Search All Notes
  * Optimized note creation, renaming and deletion (#660653, #660663)
  * Search in notebook suggests to search all notes, when there are no matches

Fixes:
  * Open note action availability
  * Program name in about dialog
  * Help for --start-here
  * Don't change content modification time when autolinking
  * Link not created when linking to existing note
  * Broken link activation does not make link normal
  * GetNoteContents D-Bus API returns wrong text for notes not displayed (#647888)
  * Case-insensitive search via SearchNotes D-Bus API (#662426)
  * Added -Wformat-security to compilation flags (#662490)

Translations:
  * Updated translation:
    - Czech (cs)
    - Danish (da)
    - French (fr)
    - German (de)
    - Hungarian (hu)
    - Indonesian (id)
    - Japanese (ja)
    - Latvian (lv)
    - Lithuanian (lt)
    - Polish (pl)
    - Russian (ru)
    - Slovenian (sl)
    - Spanish (es)
    - Swedish (sv)
    - Ukranian (uk)
  * Added translations:
    - Turkish (tr)
  * Added Danish (da) manual
  * Added Lithuanian (lt) manual

0.8.0 "We believe in GNOME 3" - 2011/09/24

New features:

  * Ported to GTK 3.0
  * New documentation in Mallard format
  * Handle x-scheme-handler/note mime-type
  * Use pkg-config for uuid (#649486)
  * Build only shared libraries for addins (#620015)
  * Search window context menus rework (#601852)
  * Disabled GtkSpell
  * Ported panel applet to libpanelapplet-4 (#639779)
  * Ported configuration to Gio::Settings
  * Status icon presence is now configurable
  * About dialog is now a child of Search All Notes
  * Added replace title addin (#639938)
  * Changed search to prioritize note titles
  * Ported D-Bus support to Gio::DBus (also fixes #618330)
  * Open all selected notes
  * Show note title when deleting only 1 note
  * Removed minimum size on Search All Notes Window
  * Set min width of note title column to 150

Fixes:

  * Place user local addins in addins subdirectory (#619867)
  * Change tomboyimport according recent Tomboy
  * Import sticky notes when Tomboy is not installed (#605382)
  * Use actual visibility of status icon (#650001)
  * Fix dragging notes to Unfiled notes (#655208)
  * Fix command line option --new-note with argument
  * Fix delete key behaviour in bulleted list
  * Don't create nested links

Translations:

  * Updated translations:
    - Brazilian Portuguese (pt_BR)
    - Czech (cs)
    - French (fr)
    - German (de)
    - Hebrew (he)
    - Hungarian (hu)
    - Lithuanian (lt)
    - Polish (pl)
    - Russian (ru)
    - Slovenian (sl)
    - Spanish (es)
  * Added translations:
    - Czech documentation (cs)
    - French (fr)
    - German documentation (de)
    - Latvian (lv)
    - Ukranian (uk)
    - Serbian (sr)

0.7.5 "Little things matter" - 2011/07/30

New features:

  * If Search All Notes dialog is shown, make about dialog a child of it
  * Show search window when launching
  * Improved Search All Notes context menus (#601852)

Fixes:

  * When dragging notes to Unfiled notes, the note view is not updated (#655208)
  * When closing Search All Notes dialog, use actual visibility of status icon (#650001)
  * Remove usage of GConf and depending on Tomboy, when importing sticky notes (#605382)
  * Change tomboyimport according recent Tomboy
  * Fix build on FreeBSD and OpenBSD (#649478, #649481, #649472)

Translations:

  * Updated translations:
    - Czech (cs)
    - Hungarian (hu)
    - Japanese (ja)
    - Portuguese Brazil (pt_BR)
    - Russian (ru)

0.7.4 "The 80 YO Mr.Spock" - 2011/04/30

New features:

  * Show addin categories and versions in addin preferences tab (#620402)
  * Implemented notebook rename (#610194)
  * Drop dependency on Boost filesystem (#641416)
  * Require Glibmm  2.18 or newer

Fixes:

  * Do not crash when $XDG_DATA_HOME is absent, create configuration directories as S_IRWXU (#631408)
  * Fix documentation for creating notebook (#633976)
  * Instance save addin preferences (#637051)
  * Use only icons of certain size in tray (#594932)
  * Do not lose notebook using notebook toolbar button (#585048)
  * Fix --highlight-search with non-uri --open-note (#608713)
  * Fix paste of URL part (#633951)
  * Fix paste of link part (#634026)
  * Fix template note rename (#627539)
  * Fix redo with multiline paste and bullets (#588098)
  * Fix undo with multibyte characters (#641545)
  * Backlinks doesn't work with newer versions libxml (#638321)
  * Select new note body selection whith default content (#627073)
  * Select new notebook note body selection whith default content (#627075)
  * Fix template note selection on creation (#627418)
  * Fix notebook template note selection on create (#627417)
  * Upgrade to newer boost.m4
  * Add missing #include <config.h> to make translations work (#646051)
  * Some GTK 3 compilation fixes (without affect to dependencies and behaviour)

Translations:

  * Updated translations:
    - Arabic (ar)
    - British English (en_GB)
    - Catalan (ca)
    - Czech (cs)
    - Danish (da)
    - French (fr)
    - German (de)
    - Hebrew (he)
    - Hungarian (hu)
    - Korean (ko)
    - Lithuanian (lt)
    - Polish (pl)
    - Portuguese Brazil (pt_BR)
    - Simplified Chinese (zh_CN)
    - Slovenian (sl)
    - Spanish (es)
    - Swedish (sv)

0.7.3 "It is not the age but the base that changes" - 2010/11/04

Fixes:

* 588537 - Keywords don't become clickable links when part of a list
* 606022 - Special characters within titles prevent clickable links
* 606492 - Alt+Right to enable bullets, not Alt+Left
* 608311 - Auto-selection of newly created note's contents is broken in
           multi-byte language
* 609120 - Use MESSAGE_INFO for export dialog confirmation icon
* 610406 - Make sharp::string_to_lowercase() and sharp::string_substring
           Unicode aware
* 611731 - Disabled plugins are enabled after restarting Gnote
* 620013 - Remove lib prefix from "Note of the day" addin
* 626624 - Notebook sorting not ok under notebook button
* 627419 - Allow to delete notebook template note
* 631572 - Fix build with GTK+ 2.22
* 633217 - Fix selection with bulleted list and end key

Translations:

* Updated translations:
  - Bengali India (bn_IN)
  - Brazilian Portugese (pt_BR)
  - Catalan Valencia (ca@valencia)
  - French (fr)
  - Gujrati (gu)
  - Hebrew (he)
  - Hungarian (hu)
  - Hindi (hi)
  - Indonesian (id)
  - Italian (it)
  - Japanese (ja)
  - Kannada (kn)
  - Korean (ko)
  - Lithuanian (lt)
  - Malayalam (ml)
  - Marathi (mr)
  - Oriya (or)
  - Punjabi (pa)
  - Romanian (ro)
  - Russian (ru)
  - Simplified Chinese (zh_CN)
  - Swedish (sv)
  - Thai (th)
* Added translations:
  - Norwegian Bokmål (nb)
  - Slovenian (sl)
  - Ukrainian (uk)

0.7.2 "Thursdays should not be free" - 2010/03/12

New Features:

* 551097 - Search for phrases
* 584789 - Allow user to decide if links are updated when renaming a note

Fixes:

* 603925 - Fix boost.m4 to work with Autoconf >= 2.64
* 609864 - Fix implicit linking

Translations:

* Updated translations:
  - Arabic (ar)
  - Bengali India (bn_IN)
  - Chinese Simplified (zh_CN)
  - Czech (cs)
  - German (de)
  - Lithuanian (lt)
  - Oriya (or)
  - Polish (pl)
  - Slovenian (sl)
  - Spanish (es)
  - Swedish (sv)
  - Telegu (te)
  - Thai (th)
* Added translations:
  - Hindi (hi)
  - Malayalam (ml)

0.7.1 "Can hear the heater whirring" - 2010/01/04

New Features:

* 604779 - Right click to change active row in search window

Fixes:

* 592937 - URLs starting with ~ can not be opened (eg., ~/Music)
* 597942 - _Previous and _Next accelerators not working
* 598045 - Repeated Find Previous does not work
* 601459 - Open context menu with keyboard key
* 602493 - Double context menu
* 605864 - Note of the day template shouldn't be translatable
* 605869 - NoteOfTheDay addin causes crash with unhandled exception
           (type std::exception) in signal handler

Translations:

* Updated translations:
  - Arabic (ar)
  - Slovenian (sl)

0.7.0 "The end is near" - 2009/12/31

New Features:

* 590589 - Add a Note of the Day addin

Fixes:

* 579359 - XDG directory spec conformance
* 597307 - Addins can't be disabled
* 604367 - Bugzilla addin doesn't work

Translations:

* Updated translations:
  - Arabic (ar)
  - Spanish (es)
  - Portuguese Brazil (pt_BR)
* Added translations:
  - Bulgarian (bg)
  - Danish (da)

0.6.3 "The days are short" - 2009/11/28

Fixes:

* 586541 - Crashes on hitting enter twice before URLs
* 596138 - Better tooltip for panel applet

Translations:

* Updated translations:
  - Bengali India (bn_IN)
  - Chinese Simplified (zh_CN)
  - French (fr)
  - German (de)
  - Italian (it)
  - Kannada (kn)
  - Punjabi (pa)
  - Russian (ru)
  - Swedish (sv)
  - Tamil (ta)
  - Telugu (te)
  - Thai (th)
* Added translations:
  - Galician (gl)
  - Indonesian (id)
  - Oriya (or)
  - Polish (pl)
  - Portuguese Brazil (pt_BR)
  - Slovenian (sl)

0.6.2 - 2009/08/12

Fixes:

  * Fix configure failure with --disable-dbus. (Closes #590560) (Gilles 
    Dartiguelongue)
  * Use mnemonic/underlines on the toolbar buttons. (Closes #590590)

Translations:

  * Updated translations:
    - Spanish (es)


0.6.1 "Bonobo Must Die" - 2009/07/31

Fixes:

  * Unbreak the applet support. (Closes #590346)

0.6.0 "We believe in D-Bus" - 2009/07/29

New Features:

  * Implement org.gnome.Gnote.RemoteControl to mimic Tomboy DBus API.
    (Closes #581030)
  * Prevent starting a second Gnote using DBus. (Closes #585773)
  * Support --new-note. (Closes #585774)
  * Support --open-note with a URL. (Close #585775)
  * Underline addin.
  * Add a shortcut for the Fixed Width and make mnemonic consistent.
    (Tomboy bug #418964 and Tomboy bug #357426)
  * Allow to hide the Find bar with ESC. (Tomboy bug #540822)
  * Save the splitter position for the search window (Tomboy bug #563744).
  * Add menu items for increasing and decreasing the font size. 
    (Tomboy bug #488822)

Fixes:

  * Fixes a potential problem with tags when reading a note.
  * Add COPYING-DOCS. (Closes #582381)
  * Fix build on non-Linux systems: add boot system lib, don't pass 
    linker flags with -Wl, link libtomboy directly. (Closes #587228) 
    (Closes #587261) (Closes #587262)
  * Make naming consistent: it is Gnote, not Gnote Notes. (Closes #587644)
  * Fixed some internal inconsistencies with the "TagTable" that is now
    shared.
  * Don't save the notes needlessly. (Closes #586594)
  * Speedup in Note::load_foreign_note_xml() to avoid flooding with 
    unneeded notifications.
  * Fix print formatting issues. (Tomboy bug #572024)
  * Update copyright from Tomboy.
  * Use a button for "Open New Note Template". (Tomboy bug #581582).
  * Avoid a lookup for the TextTag when loading addins.
  * Display first bullet in HTML export (Tomboy bug #422954)
  * Change the Find bar to match the rest of GNOME. (Tomboy Bug #483297)
  * Remove exclusion list for prefixes in WikiWords (Tomboy Bug #392627)
  * Use a status bar in the "Search All Notes" and add a resize grip
    at the same time (Tomboy bug #500513)
  * Allow drag and select within links by activating only with button
    release. (Tomboy bug #414029).
  * Prevent activation of links that have just been middle-click pasted 
    to a note. (Tomboy bug #414029) 
  * Change the icon AddinInfoDialog to use the stock DIALOG_INFO. 
    (Tomboy bug #508844)
  * Ensure the notebook button has a label in the mode "icon + text on
    the side".

Translations:

  * Updated translations:
    - Arabic (ar)
    - German (de)
    - Russian (ru)
    - Simplified Chinese (zh_CN)
    - Spanish (es)

  * Added translations:
    - Hebrew (he)

0.5.3 "Bastille Day" - 2009/07/14

Fixes:

  * Use a sane default location when printing to file. (Closes #587245)
  * Fix a typo causing 4 soft line-breaks to insert instead of 1.
  * Fix a crash when requesting help in the "Search All" in applet mode.
    (Closes #588489)

Translations:

  * Updated translations:
    - Gujarati (gu)
    - Japanese (ja)
    - Swedish (sv)
    - Thai (th)

  * Added translations:
    - Lithuanian (lt)
    - Korean (ko)
    - Telugu (te)
    - Simplified Chinese (zh_CN)

0.5.2 "Canada day" - 2009/07/01

Fixes:

  * Avoid a crash in a race condition when deleting a note. (Closes #587395)
  * Fix a leak with libxml2 usage once in the lifetime.
  * Free the import addins at the end.
  * Can now delete several notes in the list at once. (Closes #587350)
  * List were broken when not in ASCII. (Closes #587070 and dupes)
  * Prevent a crash in the destruction chain NoteWindow (Closes #586084)
  * Remove the synchronisation menu item until Sync is implemented 
    (Closes #585610)

Translations:

  * Updated translations:
    - Arabic (ar)

0.5.1 - 2009/06/24

Fixes:

  * Fix a regression in the URL detection introduced in 0.5.0
    when the URL is in a list or withing text with non-ASCII
    characters.
  * Fix a crash in the recent notes when clicking on the empty
    space. (Closes #586081)
  * Fix missing headers.
  * Fix a bug where after import from Tomboy the titles wouldn't
    look like titles.

Translations:

  * Updated translations:
    - German (de)
    - Marathi (mr)
    - Spanish (es)

  * Added translations:
    - Assamese (as)
    - Gujarati (gu)
    - Italian (it)
    - Kannada (kn)
    - Russian (ru)
    - Tamil (ta)

0.5.0 - 2009/06/16

New features:

  * Sticky Notes import addin.
  * Import from Tomboy on first startup. (Closes #578981)

Fixes:

  * Remove libxml++. (Closes #579292) Possibly closes bug #579316.
  * Some code cleanups.
  * Fix a race condition causing a crash. (Closes #584183)
  * Add --{en,dis}able-applet to configure. (Closes #584158) 
    (Gilles Dartiguelongue)
  * Don't open the start note if it is an applet. (Closes #584583)
  * Update boost.m4 to latest version. (Closes #581559) (Priit Laes)
  * Fix bug in URL parsing causing file link when not appropriate.
    (Closes #581506)
  * Replace the regex support from Boost.Regex with PCRE.
  * WikiWord now support non ASCII (Closes #581495)
  * Allow using Boost TR1 implementation if really needed.
  * No longer reference Tomboy in the help screenshot (Closes #581195)
    (Tony Manco)
  * Hotkeys changes not being taken into account until restart.
    (Closes #582789) (Yves Junqueira)
  * Enable/disable spellchecking when the preferences are changed. 
    (Closes #582242)
  * Fix a bug in serializing date/time values with 0 micro-second
    (Closes #581844)

Translations:

  * Updated translations:
    - Arabic (ar)
    - Bengali India (bn_IN)
    - French (fr)
    - German (de)
    - Japanese (ja)
    - Spanish (es)
  * Added translations:
    - Marathi (mr)
    - Punjabi (pa)

0.4.0 - 2009/05/27

New features:

  * Handle command line argument --version and --search
  * Backlinks addin.
  * Addin to export to HTML.

Fixes:

  * Hard require on libxml++ 2.26. Should prevent some bugs (Bug #583807, 
    Bug #583808, Bug #579292, Bug #579316)
    See: http://git.gnome.org/cgit/libxml++/commit/?id=24b3ec06f5c5ebd0529100a5506a8038f14bac5b
  * Note is now trackable. Should avoid a crash related to signals.
    (Closes #581618)
  * Remove obsolete UTF-8 keyword in .desktop (Closes #581623) 
    (Robert Millan)
  * Fix build with LDFLAGS="-Wl,--as-needed" (Closes #581559)
    (Priit Laes)
  * '-' in note title was mistakenly doubled in the menu. (Closes #581643)
  * Fix crash when entering an URL instead of a host name for the 
    bugzilla icon in the bugzilla addin (Closes #581080)
  * Stop calculating the status icon menu position by thyself.
  * Fix UI for InsertTimeStamp addin (Closes #582788) (0.1.1)
  * Fix inconsistency in search dialog selection causing drag and 
    drop and delete to mis-behave. (Closes #579107, Closes #582757)
  * gnote-applet is in libexec. (Closes #581631)
  * Fix markup error in German localization (Closes #582975)
  * Fix error on first run in German (de_DE) (Debian bug #528930)

Translations:

  * Added translations:
    - Bengali India (bn_IN)
    - Hungarian (hu)
  * Updated translations:
    - Arabic (ar)
    - German (de)
    - Japanese (ja)
    - Spanish (es)
  * Added Greek manual.
  * Added Spanish manual.
    
0.3.1 "Five-One-Four" - 2009/05/05

Fixes:

  * Missing header in src/addins/inserttimestamp/inserttimestampnoteaddin.cpp
  * Don't crash when deleting a note (Closes #579839)
  * Plugged various memory leaks.
  * Cleared up a few Gtkmm warnings.
  * Applet was trying to use an icon named "tomboy" (Closes #581226) 
    (Robert Millan)
  * .desktop file didn't have the version (Jonathon Jongsma)
  * .desktop has improper XFCE category and should have OnlyShowIn entry
    for GNOME and XFCE (Closes #580481)
  * Help didn't work in the Note windows. (Closes #581200)
  * Notebook addin toolbar button was inconsistent. (Closes #581213)
  * Delete notebook now works in the search dialog. (Closes #581222)
  * Popup menus in the search dialog now appear.
  * Output options at the end of configure and fail if D-Bus is enabled.

Translations:

  * Added translations:
    - Japanese (ja)
  * Updated translations:
    - Arabic (ar)
    - Catalan (ca)
    - French (fr)
    - Spanish (es)
  * Fix format causing crashes. (Closes #580868)
  * Fix a typo in the gconf schema description (Closes #581239)
  * Fix small translatable strings (Closes #579197)

0.3.0 - 2009/04/29

New features:

  * Applet support (Closes #578979).
  * Print addon.
  * Insert Time Stamp addon.
  * Bugzilla addon.
  * Implement addin preferences.

Fixes:

  * Should now build if Gtk+ 2.16 is present but not Gtkmm 2.16.
  * Should build with Gtk+ 2.12 and Gtkmm 2.12 (Closes #580250) (Robert Millan)
  * Fix a typo in gnote.1 (Closes #580211) (Robert Millan)
  * Desktop file reflect XFCE and bugzilla component. (Closes #580481) 
    (Ritesh Khadgaray)
  * Missing accelerators in link context menu (Closes #580443)
    (Mário Machado)
  * Reference bugzilla component in server file (Closes #579198)

Translations: 

  * Short descriptions in shema must not end with a '.' (Closes #579337)
  * Added translations:
    - British English (en_GB)
    - Czech (cs)
    - Portuguese (pt)
    - Spanish (es)
    - Thai (th)
  * Update translations:
    - Arabic (ar)
    - German (de)

0.2.0 - 2009/04/22

New features

  * Now support addins (Bug #578980):
    - Fixed Width
  * Show addins in preferences.

Fixes:

  * Can now close the template note opened when the Preferences
    dialog is open. (Close #579105)
  * Check for Gtk+ 2.14 or later and include gtk/gtk.h in src/utils.cpp
    (Close #579240)
  * Fix wrongly highlighted URLs and a crash when inserting in some situation.
    (Close #579225)
  * Fix offsets on WikiWord (similar to bug #579225)
  * Initialize gettext properly (Close #579520)
  * Properly check for libxml2.
  * Drag and drop of notes to a notebook (Close #579637)
  * Fixed hang when changing the title of a note (Close #579362)
  * The open state of notes is now saved properly.

Translations:

  * Update comment to reflect format in strings. (Close #579209)
  * Ensure the spelling of Gnote.
  * Some strings shouldn't be translated. (Close #579197)
  * Date format are non localizable. (Close #579207)
  * Properly use plural forms (Close #579412)
  * Remove markup from translatable strings (Close #579453)
  * Added translations:
    - Swedish (sv)
    - Greek (el)
    - Arabic (ar)
    - Catalan (ca)
    - German (de)
    - French (fr)

0.1.2 - 2009/04/15

  * Don't return containers on the stack.
  * BUG: Pinning notes now work.
  * BUG: Fix a potential crasher in PrefsKeybinder in the gconf
    callback.
  * BUG: Fixed typos in man page.
  * BUG: Remove the use of gettext calls that are only in glib 2.18
  * BUG: Fix Note search that didn't work. (Close #578956) (Wade Berrier)
  * BUG: Fix the position of the menu in case of popping upward.
    (Close #578958)
  * NEW: Imported the manual (Close #578982)
  * NEW: Addin preferences. (TO FINISH)
  * Clarified some (c) notices.

0.1.1 - 2009/04/07

  * Fix some includes that were missing.
  * Remove any traces of the use of BOOST_FOR_EACH as it is not
    in boost 1.34.

0.1.0 - 2009/04/06

  * Initial release.
